Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

カード有効化API

Activate Card

post
/cms/api/v1/issuers/{issuerId}/physicalCards/{cardId}/activate

This API is used by D1 to activate a physical card in the issuer backend. The operation is idempotent: if the card is already active, the request completes successfully and returns 204 No Content This operation does not require a request body. Security for this endpoint is enforced outside of the OpenAPI contract (for example, via mutual TLS, private network connectivity, or IP allow‑listing).

認可
Authorizationstring必須

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

パスパラメータ
issuerIdstring · 最小: 10 · 最大: 10必須

The id of the issuer

cardIdstring · 最小: 1 · 最大: 48必須

Unique identifier of the card.

Pattern: ^[A-Za-z0-9_-]{1,48}$
ヘッダーパラメータ
x-correlation-idstringオプション

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

レスポンス
204

Card successfully activated.

コンテンツなし

post/cms/api/v1/issuers/{issuerId}/physicalCards/{cardId}/activate

コンテンツなし

最終更新

役に立ちましたか?